<%@ Page Language="C#" AutoEventWireup="true" Inherits="system_webOS_index" Codebehind="index.aspx.cs" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>后台管理</title>
<link rel="stylesheet" type="text/css" href="../skins/css/main.css" />
<link rel="stylesheet" type="text/css" href="css/webOS.css" />
<script type="text/javascript" language="javascript" src="../js/JFramework.js"></script>
<script type="text/javascript" language="javascript" src="js/main.js"></script>
<script type="text/javascript" language="javascript" src="../js/Sys.js"></script>
<script type="text/javascript"  language="javascript">
var deskTop=new deskTopClass();
var win=new windowClass();
var move=new moveDiv();
var zoom=new zoomDiv();
var sMenu=new startMenuClass();
var rmenu=new rightmenu();
var userInfo=null;


 function loadSys(){
	 var objAjax=new JAjax();
	 var out=objAjax.getText("post","../user/userLogin.aspx?type=test",null,null);
	 if (out=="0"){
		location.href="login.htm";
		return;
	 }else{
	 	userInfo=out.split(c1);
	 }
	// userInfo  0  用户名 1 用户组ID 2 用户组名, 3 是否管理员
	//uData["userName"]+c1+uData["userGroupID"]+c1+uData["userGroupName"]+c1+uData["isAdmin"];
	 if (userInfo[3]=="0"){
		 location.href="login.htm";
	 }
	
	
	 var x=Element.getWidth(deskTop_1)
	 var y=Element.getHeight(deskTop_1)
	 deskTop.width=x;
	 deskTop.height=y-0;
 	 //alert(x+"|"+y)
	 deskTop.loadDesktop();
	 deskTop.setDesktop();
	 //win.create();
	deskTop.writeIco();
	sMenu.loadOften();
	sMenu.loadProgram();
	//TestText.value=TestText.value+" | 图标数据加载完成"
	document.getElementById("loadPageDiv").style.display="none";
	taskStart.onclick=function(){
		sMenu.open();
	}
	
 }
 
 function setWindow(){
	 var x=Element.getWidth(deskTop_1)
	 var y=Element.getHeight(deskTop_1)
	 deskTop.width=x;
	 deskTop.height=y;
	 deskTop.setDesktop();
 }
</script>
</head>	

<body onload="setTimeout('loadSys()',50)" onResize="setWindow()"  onUnload="deskTop.saveIco()" onselectstart="if(document.activeElement.tagName!='INPUT'&document.activeElement.tagName!='TEXTAREA')return false;"   oncontextmenu="return false">
<% wb(); %>

</body>
</html>
